org.eclipse.ecf.remoteservice.servlet

## Class RemoteServiceHttpServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.eclipse.ecf.remoteservice.servlet.RemoteServiceHttpServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class RemoteServiceHttpServlet
    extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RemoteServiceHttpServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IRemoteCallParameterDeserializer` `getRemoteCallParameterDeserializer()`
`protected IRemoteCallResponseSerializer` `getRemoteCallResponseSerializer()`
`protected void` `setRemoteCallParameterDeserializer(IRemoteCallParameterDeserializer parameterDeserializer)`
`protected void` `setRemoteCallResponseSerializer(IRemoteCallResponseSerializer responseSerializer)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteServiceHttpServlet

    public RemoteServiceHttpServlet()

### Method Detail

#### setRemoteCallParameterDeserializer

    protected void setRemoteCallParameterDeserializer(IRemoteCallParameterDeserializer parameterDeserializer)

#### setRemoteCallResponseSerializer

    protected void setRemoteCallResponseSerializer(IRemoteCallResponseSerializer responseSerializer)

#### getRemoteCallParameterDeserializer

    protected IRemoteCallParameterDeserializer getRemoteCallParameterDeserializer()

#### getRemoteCallResponseSerializer

    protected IRemoteCallResponseSerializer getRemoteCallResponseSerializer()